#pragma once
#include<string>
#include<map>
// #include<json/reader.h>

#define LIBEXPORT extern
// 字符串转编码
#define TransUTFCoding(name) string_To_UTF8(name)
#define UTFTransCoding(name) UTF8_To_string(name)

// 当前系统日期
#define CurrentDate currentDate()

// 获取当前系统时间
#define CurrentTime currentTime()

#define CurrentHour currentHour()


    // std:string转UTF8
LIBEXPORT std::string string_To_UTF8(const std::string& str);

    /**
     * UTF8转std:string
     * 转换过程：先将utf8转双字节Unicode编码，
     * 再通过WideCharToMultiByte将宽字符转换为多字节。
     */
LIBEXPORT std::string UTF8_To_string(const std::string& str);

    /**
    *@brief 获取系统当前时间
    */
LIBEXPORT std::string currentTime();

    /**
     *@brief 获取系统当前日期
    */
LIBEXPORT std::string currentDate();

LIBEXPORT std::string currentHour();

LIBEXPORT std::string lstrip(char str[], char c);

